
<script language="javascript">




	function pon_prefijo() {

	parent.document.getElementById("form_busqueda").submit();
	parent.document.getElementById('bloquea').style.display='none';
}



</script>

<?php
include ("../conexion.php");
include ("../funciones/fechas.php");

$consulta1 = "DELETE FROM seguimiento_comicion_facturas ";  ////// Limpia la tabla cartera_cxc
$mysqli->query($consulta1);

 
$cdgven      =$_GET["vendedor"];
$cdgtipven   =$_GET["combotipoventa"];
$fechainicio =$_GET["fechainicio"];
$fechafin    =$_GET["fechafin"];
$porcentaje  =$_GET["porcentaje"];

$fechainicio = implode("-", array_reverse(explode("-", $fechainicio))); 
$fechafin    = implode("-", array_reverse(explode("-", $fechafin))); 

$where="1=1";


if ($cdgven <> "") { $where.=" AND cdgven='$cdgven'"; }
if ($cdgtipven <> "") { $where.=" AND cdgtipven='$cdgtipven'"; }

if (($fechainicio<>"") and ($fechafin<>"")) {
	 $where.=" AND fecha between '".$fechainicio."' AND '".$fechafin."'";
} else {
	if ($fechainicio<>"") {
	 	$where.=" AND fecha>='".$fechainicio."'";
	} else {
		if ($fechafin<>"") {
		$where.=" AND fecha<='".$fechafin."'";
		}
	}
}

 $where.=" ORDER BY numfactura DESC";
 
 
if ($result = $mysqli->query("SELECT * FROM facturas WHERE  ".$where )) {
   $filas = $result->num_rows;
   $result->close();
}	



	
	

$consulta = "SELECT codfactura,dsccli,cdgcli ,fecha , borrado,cdgtipven, totalfactura,estado,numfactura,cdgven,cdgcaj ,cdgclave,subtot,destot,impven FROM facturas WHERE   ".$where;

				
			?>
 <script languaje="javascript">
//alert(" <?php // echo $consulta  ?>" );
</script>
<?php


if ($resultado = $mysqli->query($consulta)) 

 
    while ($fila = $resultado->fetch_assoc()) {
        $marcaestado   = $fila["estado"];
        $marcaborrado  = $fila["borrado"];
        $fecha         = $fila["fecha"];
		//$fecha         = implode("-", array_reverse(explode("-", $fecha)));
		$numfactura    = $fila["numfactura"];
		$numfactura    = substr($numfactura, -10);
		$cdgcli        = $fila["cdgcli"];
		$dsccli        = $fila["dsccli"];
		$totalfactura  = $fila["totalfactura"];
		$subtot        = $fila["subtot"];
		$destot        = $fila["destot"];
		$impven        = $fila["impven"];
		$cdgven        = $fila["cdgven"];
		$cdgclave      = $fila["cdgclave"];
		//$cdgcaj        = $fila["cdgcaj"];
		$cdgtipven       = $fila["cdgtipven"];
		
		
		
		
		
		
		$facturas_notas = "SELECT * FROM facturas_notas WHERE clanumref = '$cdgclave' ";
		$result_facturas_notas= $mysqli->query($facturas_notas);
		$filas_notas = $result_facturas_notas->num_rows;
		$row_facturas_notas= $result_facturas_notas->fetch_array();

		if ($filas_notas > 0 ){
		
		/****************NO COMTEMPLA LAS QUE SE LES HA ECHO NOTA DE CREDITO***************************/
	
		$totcompro_notas = $row_facturas_notas["totcompro"];
		//$totalfactura =$totalfactura_notas -$totcompro;
		
		//$subtot_notas= $row_facturas_notas["subtot"];
		//$destot_notas= $row_facturas_notas["destot"];
		//$impven_notas= $row_facturas_notas["impven"];
		

		
		}
		

		$query_codcaj="SELECT * FROM usuarios  WHERE codusu='$cdgven' ";
		$result_codcaj = $mysqli->query($query_codcaj);
		$row_codcaj  = $result_codcaj->fetch_array();
		$dsccaj    = $row_codcaj["usu"];
		
	// $porcentaje=1;
	 
	 $monto=($totalfactura*$porcentaje)/100;
	 
	   ///////////////////////  inserta en la tabla cartera_cxc los resultados ////////////

	$sel_insertar="INSERT INTO seguimiento_comicion_facturas (numfac,cdgtipven, fecfac,totalfactura,subtot,destot,impven,cdgcli,dsccli,cdgven,dscven, porcentaje, monto) VALUES 
		('$numfactura','$cdgtipven', '$fecha','$totalfactura','$subtot','$destot','$impven', '$cdgcli','$dsccli', '$cdgven', '$dsccaj','$porcentaje','$monto')";
		
				
	
	
	$mysqli->query($sel_insertar);


	
			}	

	

?>
			<script languaje="javascript">
			pon_prefijo();
			
			</script>


